IFAPI_Path_SetDescription Struct Reference

`#include <fapi_int.h>`

## Data Fields

char * | description
UINT8_ARY | appData
IFAPI_OBJECT | object
char * | object_path
json_object * | jso
char * | jso_string

## Detailed Description

The data structure holding internal state of Fapi_SetDescription.

## Field Documentation

## appData

UINT8_ARY appData

Application data to be stored in object store.

## description

char* description

The description of the object

## jso

json_object* jso

JSON object for storing the AppData

## jso_string

char* jso_string

JSON deserialized buffer

## object

IFAPI_OBJECT object

The IPAPI object to store the info

## object_path

char* object_path

The realative path to the object

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h